| Irrlicht 3D Engine |

Classes | Namespaces
ISceneNodeFactory.h File Reference
`#include "IReferenceCounted.h"`
`#include "ESceneNodeTypes.h"`

Go to the source code of this file.

## Classes

- class irr::scene::ISceneNodeFactory
    Interface for dynamic creation of scene nodes. More...

## Namespaces

- namespace irr

    Everything in the Irrlicht Engine can be found in this namespace.

- namespace irr::scene

    All scene management can be found in this namespace: Mesh loading, special scene nodes like octrees and billboards, ...